OccurrencesJob (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class OccurrencesJob

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.OccurrencesJob

- All Implemented Interfaces:
    Serializable

      @Entity
      public class OccurrencesJob
      extends Object
      implements Serializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BYDATASOURCE`
    `static String` | `CSVTYPE`
    `protected List<DataSource>` | `dataSources`
    `protected String` | `description`
    `static String` | `DESCRIPTION`
    `protected long` | `endTime`
    `static String` | `ENDTIME`
    `static String` | `EXPECTEDOCCURRENCE`
    `static String` | `FILEFORMAT`
    `protected String` | `id`
    `static String` | `ID_FIELD`
    `protected int` | `internalId`
    `protected String` | `name`
    `static String` | `NAME`
    `protected String` | `refStorage`
    `static String` | `REFSTORAGE`
    `static String` | `RESULTROW_KEYS_AS_XML`
    `protected String` | `resultRowKeysAsXml`
    `protected String` | `scientificName`
    `static String` | `SCIENTIFICNAME`
    `protected long` | `startTime`
    `static String` | `STARTTIME`
    `protected String` | `state`
    `static String` | `STATE`
    `protected long` | `submitTime`
    `static String` | `SUBMITTIME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OccurrencesJob()`
    `OccurrencesJob(String id)`
    `OccurrencesJob(String jobId, String jobName, String jobDescription, String scientificName, List<DataSource> dataSources, String state, String storage, long submitTime, long startTime, long endTime, String fileFormat, String csvType, boolean isByDataSource, String resultRowKeys, int expectedOccurrence)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCsvType()`
    `List<DataSource>` | `getDataSources()`
    `String` | `getDescription()`
    `long` | `getEndTime()`
    `int` | `getExpectedOccurrence()`
    `String` | `getFileFormat()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getRefStorage()`
    `String` | `getResultRowKeysAsXml()`
    `String` | `getScientificName()`
    `long` | `getStartTime()`
    `String` | `getState()`
    `long` | `getSubmitTime()`
    `boolean` | `isByDataSource()`
    `void` | `setByDataSource(boolean byDataSource)`
    `void` | `setCsvType(String csvType)`
    `void` | `setDataSources(List<DataSource> dataSources)`
    `void` | `setDescription(String description)`
    `void` | `setEndTime(long endTime)`
    `void` | `setExpectedOccurrence(int expectedOccurrence)`
    `void` | `setFileFormat(String fileFormat)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setRefStorage(String refStorage)`
    `void` | `setResultRowKeysAsXml(String resultRowKeysAsXml)`
    `void` | `setScientificName(String scientificName)`
    `void` | `setStartTime(long startTime)`
    `void` | `setState(String state)`
    `void` | `setSubmitTime(long submitTime)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID_FIELD

          public static final String ID_FIELD

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### STARTTIME

          public static final String STARTTIME

      See Also:
        Constant Field Values

    - #### SUBMITTIME

          public static final String SUBMITTIME

      See Also:
        Constant Field Values

    - #### ENDTIME

          public static final String ENDTIME

      See Also:
        Constant Field Values

    - #### SCIENTIFICNAME

          public static final String SCIENTIFICNAME

      See Also:
        Constant Field Values

    - #### STATE

          public static final String STATE

      See Also:
        Constant Field Values

    - #### REFSTORAGE

          public static final String REFSTORAGE

      See Also:
        Constant Field Values

    - #### FILEFORMAT

          public static final String FILEFORMAT

      See Also:
        Constant Field Values

    - #### CSVTYPE

          public static final String CSVTYPE

      See Also:
        Constant Field Values

    - #### BYDATASOURCE

          public static final String BYDATASOURCE

      See Also:
        Constant Field Values

    - #### EXPECTEDOCCURRENCE

          public static final String EXPECTEDOCCURRENCE

      See Also:
        Constant Field Values

    - #### RESULTROW_KEYS_AS_XML

          public static final String RESULTROW_KEYS_AS_XML

      See Also:
        Constant Field Values

    - #### internalId

          protected int internalId

    - #### id

          protected String id

    - #### name

          protected String name

    - #### startTime

          protected long startTime

    - #### submitTime

          protected long submitTime

    - #### endTime

          protected long endTime

    - #### scientificName

          protected String scientificName

    - #### resultRowKeysAsXml

          protected String resultRowKeysAsXml

    - #### description

          protected String description

    - #### dataSources

          protected List<DataSource> dataSources

    - #### state

          protected String state

    - #### refStorage

          protected String refStorage

  - ### Constructor Detail

    - #### OccurrencesJob

          public OccurrencesJob()

    - #### OccurrencesJob

          public OccurrencesJob(String id)

    - #### OccurrencesJob

          public OccurrencesJob(String jobId,
                        String jobName,
                        String jobDescription,
                        String scientificName,
                        List<DataSource> dataSources,
                        String state,
                        String storage,
                        long submitTime,
                        long startTime,
                        long endTime,
                        String fileFormat,
                        String csvType,
                        boolean isByDataSource,
                        String resultRowKeys,
                        int expectedOccurrence)

      Parameters:
        `jobId` -
        `jobName` -
        `jobDescription` -
        `scientificName` -
        `dataSourcesAsXml` -
        `state` -
        `storage` -
        `submitTime` -
        `endTime` -
        `fileFormat` -
        `csvType` -
        `isByDataSource` -
        `resultRowKeys` -
        `expectedOccurrence` -

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getSubmitTime

          public long getSubmitTime()

    - #### setSubmitTime

          public void setSubmitTime(long submitTime)

    - #### getEndTime

          public long getEndTime()

    - #### setEndTime

          public void setEndTime(long endTime)

    - #### getScientificName

          public String getScientificName()

    - #### setScientificName

          public void setScientificName(String scientificName)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getState

          public String getState()

    - #### setState

          public void setState(String state)

    - #### getRefStorage

          public String getRefStorage()

    - #### setRefStorage

          public void setRefStorage(String refStorage)

    - #### getFileFormat

          public String getFileFormat()

    - #### setFileFormat

          public void setFileFormat(String fileFormat)

    - #### getCsvType

          public String getCsvType()

    - #### setCsvType

          public void setCsvType(String csvType)

    - #### isByDataSource

          public boolean isByDataSource()

    - #### setByDataSource

          public void setByDataSource(boolean byDataSource)

    - #### getResultRowKeysAsXml

          public String getResultRowKeysAsXml()

    - #### setResultRowKeysAsXml

          public void setResultRowKeysAsXml(String resultRowKeysAsXml)

    - #### getExpectedOccurrence

          public int getExpectedOccurrence()

    - #### setExpectedOccurrence

          public void setExpectedOccurrence(int expectedOccurrence)

    - #### getDataSources

          public List<DataSource> getDataSources()

    - #### setDataSources

          public void setDataSources(List<DataSource> dataSources)

    - #### getStartTime

          public long getStartTime()

    - #### setStartTime

          public void setStartTime(long startTime)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All Rights Reserved.